EDIT - bug #6484

Include all paramaters of FindOccurrencesConfigurator in HQL query
03/09/2017 04:01 PM - Patrick Plitzner

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 20%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal Found in Version:

Description

Currently AssignmentStatus and isRetrievelndirectlyAssociatedSpecimens() are not queried via HQL but in the service method via a
for loop. This is very time consuming and also does not allow to use these parameters in the countOccurrences() method.

Associated revisions

Revision 2023e9a6 - 03/09/2017 04:09 PM - Patrick Plitzner

ref #6484 Fix test for specimen count retrieval

e temporary fix until ticket is solved

Revision 1cfc76cb - 03/23/2018 10:41 AM - Patrick Plitzner

ref #6484 Move enum AssignmentStatus to cdm-persistence

Revision 7dab8082 - 03/23/2018 12:00 PM - Patrick Plitzner

ref #6484 Adjust count method to find method to return the same number

e performance can still be improved by integrating AssignmentStatus and/or indirectlyAssociatedSpecimen into the HQL query

History

#1 - 05/11/2017 11:43 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#2 - 07/06/2017 10:29 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#3 - 07/21/2017 10:26 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#4 - 09/24/2017 12:42 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#5 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#6 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#7 - 01/31/2018 12:38 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#8 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#9 - 03/23/2018 12:01 PM - Patrick Plitzner
- Priority changed from Highest to Priority12
- Target version changed from Release 5.0 to Reviewed Next Major Release

- % Done changed from 0 to 20

#10 - 02/19/2019 03:25 PM - Andreas Miiller
- Priority changed from Priority12 to Priority11

#11 - 11/18/2019 03:08 PM - Andreas Miiller
- Tags set to pp_uebergabe

- Target version changed from Reviewed Next Major Release to 287

Can you give some more information about context (specimen tree, matrix, dataportal, ...?) and other information required to solve the ticket.

#12 - 11/18/2019 03:50 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

This configurator is used in a lot of places: specimen tree editor, specimen facet search (experimental), TaxonService, Specimenlmport, ...(results
from string search of the workspace)

The service method to look for is OccurrenceServicelmpl.findByTitle()

The two mentioned options AssignmentStatus and indirectlyAssociatedSpecimen are currently evaluated in an extra loop in
OccurrenceServicelmpl.filterOccurencesByAssignmentAndHierarchy(), which could maybe be integrated into the database query. This is especially
bad for the countByTitle() method which currently loads the objects because of that instead of just retrieving the count from the DB.

AssignmentStatus: enum to define whether the specimen have an association to a taxon or not
indirectlyAssociatedSpecimen: if true the complete derivative hierarchy including all parent and child derivatives is returned of the associated
specimen

#13 - 11/18/2019 04:29 PM - Andreas Miiller
- Priority changed from Priority11 to Highest

- Target version changed from 287 to Release 5.12

Ok, this makes it much clearer. | will have a look if this can be implemented somehow.

#14 - 01/15/2020 01:25 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#15 - 02/26/2020 11:33 AM - Andreas Kohlbecker

- Tags changed from pp_uebergabe to pp_uebergabe, performance

#16 - 02/26/2020 11:33 AM - Andreas Miiller
- Tags changed from pp_uebergabe, performance to pp_uebergabe

- Target version changed from Release 5.13 to Release 5.14

#17 - 02/26/2020 11:34 AM - Andreas Miiller

- Tags changed from pp_uebergabe to pp_uebergabe, performance

#18 - 04/08/2020 03:42 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#19 - 06/23/2020 01:44 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#20 - 11/30/2020 11:38 AM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#21 - 01/27/2021 03:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21
#22 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#23 - 04/16/2021 09:54 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46

#24 - 02/15/2024 12:05 AM - Andreas Miiller

- Target version changed from Release 5.46 to Release 5.43

Not sure yet if also relevant for portal performance.
